PropertyValueBuffer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.impl

## Class PropertyValueBuffer

- java.lang.Object
- - org.codehaus.jackson.map.deser.impl.PropertyValueBuffer

-     public final class PropertyValueBuffer
      extends Object

  Simple container used for temporarily buffering a set of `PropertyValue`s. Using during construction of beans (and Maps) that use Creators, and hence need buffering before instance (that will have properties to assign values to) is constructed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValueBuffer(JsonParser jp, DeserializationContext ctxt, int paramCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `assignParameter(int index, Object value)`
    `void` | `bufferAnyProperty(SettableAnyProperty prop, String propName, Object value)`
    `protected PropertyValue` | `buffered()`
    `void` | `bufferMapProperty(Object key, Object value)`
    `void` | `bufferProperty(SettableBeanProperty prop, Object value)`
    `protected Object[]` | `getParameters(Object[] defaults)`
    `void` | `inject(SettableBeanProperty[] injectableProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyValueBuffer

          public PropertyValueBuffer(JsonParser jp,
                             DeserializationContext ctxt,
                             int paramCount)

  - ### Method Detail

    - #### inject

          public void inject(SettableBeanProperty[] injectableProperties)

    - #### getParameters

          protected final Object[] getParameters(Object[] defaults)

      Parameters:
        `defaults` - If any of parameters requires nulls to be replaced with a non-null object (usually primitive types), this is a non-null array that has such replacement values (and nulls for cases where nulls are ok)

    - #### buffered

          protected PropertyValue buffered()

    - #### assignParameter

          public boolean assignParameter(int index,
                                Object value)

      Returns:
        True if we have received all creator parameters

    - #### bufferProperty

          public void bufferProperty(SettableBeanProperty prop,
                            Object value)

    - #### bufferAnyProperty

          public void bufferAnyProperty(SettableAnyProperty prop,
                               String propName,
                               Object value)

    - #### bufferMapProperty

          public void bufferMapProperty(Object key,
                               Object value)